using UnityEngine.UIElements;

namespace KitsuneCafe.UI
{
  public interface ICollectionDataSource
  {
    int Length { get; }

    VisualElement CreateItem();
    void BindItem(VisualElement element, int index);
    void UnbindItem(VisualElement element, int index);
  }
}
